summaryrefslogtreecommitdiffhomepage
path: root/vars/python2_host.vars
diff options
context:
space:
mode:
authorLucio Andrés Illanes Albornoz (arab, vxp) <lucio@lucioillanes.de>2018-01-30 11:21:16 +0000
committerLucio Andrés Illanes Albornoz (arab, vxp) <lucio@lucioillanes.de>2018-01-30 11:22:18 +0000
commit353e6411718cc8749f33a51344803420d5fa211f (patch)
treeeaaf8642ea8b83d21ab6d344ae1d84a895e42aa1 /vars/python2_host.vars
parentd8626cb5da5a58c6063716cf2d334838f68d326b (diff)
downloadmidipix_build-353e6411718cc8749f33a51344803420d5fa211f.tar.bz2
midipix_build-353e6411718cc8749f33a51344803420d5fa211f.tar.xz
vars/build.vars:python2: pass ${PYTHON_FOR_BUILD:=${PREFIX}/bin/python2.7.wrapper}.
vars/python2_host.vars:..._install_make_post(): provide .../bin/python2.7.wrapper.
Diffstat (limited to 'vars/python2_host.vars')
-rw-r--r--vars/python2_host.vars16
1 files changed, 16 insertions, 0 deletions
diff --git a/vars/python2_host.vars b/vars/python2_host.vars
new file mode 100644
index 00000000..097c1965
--- /dev/null
+++ b/vars/python2_host.vars
@@ -0,0 +1,16 @@
+#
+# set -o errexit -o noglob are assumed.
+#
+
+pkg_python2_host_install_make_post() {
+ if ex_rtl_fileop test "${PKG_DESTDIR}/bin/python2.7.wrapper"; then
+ ex_rtl_fileop rm "${PKG_DESTDIR}/bin/python2.7.wrapper";
+ fi;
+ cat > "${PKG_DESTDIR}/bin/python2.7.wrapper" <<EOF
+#!/bin/sh
+env LD_LIBRARY_PATH="${PREFIX}/lib" "${PREFIX}/bin/python2.7" "\${@}";
+EOF
+ chmod +x "${PKG_DESTDIR}/bin/python2.7.wrapper";
+};
+
+# vim:filetype=sh